Class | ActiveMerchant::Billing::QuickpayGateway
In: | lib/active_merchant/billing/gateways/quickpay.rb
Parent: | Gateway

### Methods

authorize capture credit new purchase store void

### Constants

URL | = | 'https://secure.quickpay.dk/api'
PROTOCOL | = | 3
MD5_CHECK_FIELDS | = | { :authorize => [:protocol, :msgtype, :merchant, :ordernumber, :amount, :currency, :autocapture, :cardnumber, :expirationdate, :cvd, :cardtypelock], :capture => [:protocol, :msgtype, :merchant, :amount, :transaction], :cancel => [:protocol, :msgtype, :merchant, :transaction], :refund => [:protocol, :msgtype, :merchant, :amount, :transaction], :subscribe => [:protocol, :msgtype, :merchant, :ordernumber, :cardnumber, :expirationdate, :cvd, :cardtypelock, :description], :recurring => [:protocol, :msgtype, :merchant, :ordernumber, :amount, :currency, :autocapture, :transaction], :status => [:protocol, :msgtype, :merchant, :transaction], :chstatus => [:protocol, :msgtype, :merchant], }
APPROVED | = | '000'

### Public Class methods

new(options = {})

The login is the QuickpayId The password is the md5checkword from the Quickpay admin interface

### Public Instance methods

authorize(money, credit_card_or_reference, options = {})
capture(money, authorization, options = {})
credit(money, identification, options = {})
purchase(money, credit_card_or_reference, options = {})
store(creditcard, options = {})
void(identification, options = {})

[Validate]